Package org.jboss.logging.annotations

## Annotation Type ValidIdRanges

    @Target(TYPE)
    @Retention(CLASS)
    @Documented
    public @interface ValidIdRanges

Author:
  James R. Perkins

### Required Element Summary

Required Elements
`ValidIdRange[]` `value` An array of valid id ranges.

### Element Detail

#### value

    ValidIdRange[] value

An array of valid id ranges.

Returns:
  an array of valid id ranges